(define-module (type ipv4-address-list)
    :use-module (type _alterator-list)
    :use-module (alterator woo)
    :use-module ((type ipv4-address) :select (ipv4-address-regex))
    :export (type))

(define (type v _)
  (or (check-list (lambda(x) (regexp-exec ipv4-address-regex x)) v)
      (type-error (_ "invalid IP address list"))))
