(define-module (type iface-name)
    :use-module (alterator woo)
    :export (type))

(define *iface-name-regex-str* "^[_a-zA-Z]((\\.[a-zA-Z0-9_])*[a-zA-Z0-9_-]*)*$")
(define iface-name-regex (make-regexp *iface-name-regex-str* regexp/extended))

(define (type v _)
  (or (and (string? v) (string-null? v))
      (and (string? v) (regexp-exec iface-name-regex v))
      (type-error (_ "invalid network interface name"))))
