(define-module (type ipv4-network-list)
    :use-module (type _alterator-list)
    :use-module (alterator woo)
    :use-module ((type ipv4-network) :select (*ipv4-network-regex*))
    :export (type))

(define (type v _)
  (or (check-list (lambda(x) (regexp-exec *ipv4-network-regex* x)) v)
      (type-error (_ "invalid IP network list"))))
